<!doctype html>
<html lang="fr" data-fr-scheme="light">
	<head>
		<meta charset="utf-8">
		<title>GAAPSE - {{ title }}</title>
		<meta name="viewport" content="width=device-width, initial-scale=1.0">
		<meta name="description" content="Gestion d'authentification des adh&eacute;rents &agrave; la plateforme de service Gironde Num&eacute;rique">
		<meta name="author" content="Gironde Num&eacute;rique">
		<link type="image/png" rel="icon" sizes="96x96" href="{{ domain }}/resources/img/girnum.ico" />
        <link rel="stylesheet" href="/assets/dsfr/dist/dsfr.min.css" />
        <link rel="stylesheet" href="/assets/dsfr/dist/utility/utility.min.css" />
        <link rel="stylesheet" href="/assets/fontawesome/css/all.min.css" />
        <link type="text/css" rel="stylesheet" href="{{ domain }}/resources/css/style.css{{ assets_cache_busting }}" />
		<style>
			html {
				height: 100%;
			}

			body {
				margin:0;
				display: flex;
				flex-direction: column;
				justify-content: space-between;
				height:100%;
			}
			body main, body .fr-container, body .connection  {
				height: 100%;
			}

			body footer {
				position: unset;
				bottom: unset;
				width: unset;
			}
		</style>
	</head>
	<body>

		<main role="main">
			<div class="fr-container">
				<div class="fr-grid-row fr-grid-row--middle fr-grid-row--center connection">
					<div class="fr-col-12 fr-col-sm-10 fr-col-lg-6 ">
						<img src="{{ domain }}/resources/img/gn_logo_court_baseline.svg" alt="Gironde Num&eacute;rique" />
					</div>
					<div class="fr-col-12 fr-col-sm-10 fr-col-lg-6 ">

						{% include 'message.html' %}

						<form action="{{ domain }}/action/login" method="post" class="needs-validation" novalidate>
							<input type="hidden" name="current-url" value="{{ currentUrl }}" />
							<input type="hidden" name="{{ csrf.keys.name }}" value="{{ csrf.name }}" />
							<input type="hidden" name="{{ csrf.keys.value }}" value="{{ csrf.value }}" />
							<input type="hidden" name="organization" value="{{ organization }}" />
							{% if organization is empty %}
								<div class="fr-input-group">
									<label class="fr-label" for="login">Email</label>
									<input class="fr-input" type="email" id="login" name="login" required />
									<p id="login-input-error" class="fr-error-text">Veuillez saisir votre email.</p>
								</div>
							{% else %}
								<div class="fr-input-group">
									<label class="fr-label" for="login">Identifiant</label>
									<div class="fr-input-wrap fr-input-wrap--addon">
										<input class="fr-input fr-col-8" type="text" id="login" name="login" required />
										<span class="fr-btn fr-col-4">@{{ organization }}</span>
									</div>
									<p id="login-input-error" class="fr-error-text">Veuillez saisir votre identifiant.</p>
								</div>
							{% endif %}
							<div class="fr-input-group">
								<label class="fr-label" for="password">Mot de passe</label>
								<input class="form-control fr-input gnPasswordVisibilityToggle" type="password" id="password" name="password" required />
								<p id="password-input-error" class="fr-error-text">Veuillez saisir votre mot de passe.</p>
							</div>
							<ul class="fr-btns-group fr-btns-group--inline">
								<li><button class="fr-btn" type="submit">Connexion</button></li>
								<li><a class="fr-btn fr-btn--secondary" href="{{ domain }}/">Annuler</a></li>
							</ul>
						</form>
					</div>
				</div>
			</div>
		</main>

		<footer class="fr-footer fr-mt-3w" role="contentinfo" id="footer">
			<div class="fr-container">
				<div class="fr-footer__body">
					<div class="fr-footer__brand fr-enlarge-link">
						<a href="{{ domain }}" title="Retour &agrave; l'accueil">
							<p class="fr-logo" title="Gironde Num&eacute;rique">
								Gironde Num&eacute;rique
							</p>
						</a>
					</div>
					<div class="fr-footer__content">
						<p class="fr-footer__content-desc">Gestion d'Authentification des Adh&eacute;rents &agrave; la Plateforme de Service, un service du syndicat mixte Gironde Num&eacute;rique</p>
						<ul class="fr-footer__content-list">
							<li class="fr-footer__content-item">
								<a class="fr-footer__content-link" href="https://girondenumerique.fr/contact.html">Nous contacter</a>
							</li>
						</ul>
					</div>
				</div>
				<div class="fr-footer__bottom">
				</div>
			</div>
		</footer>

		<noscript>
			<style type="text/css">
				main {
					display: none;
				}
				noscript {
					order: -1;
					height: 100%;
				}
			</style>
			<div class="fr-container">
				<div class="fr-grid-row fr-grid-row--center fr-grid-row--middle" style="height:100%">
					<div class="fr-col-12 fr-col-md-10 fr-col-lg-8">
						<div role="alert" class="fr-alert fr-alert--warning fr-mt-4w">
							<p class="fr-alert__title">Veuillez activer JavaScript dans les pr&eacute;f&eacute;rences de votre
								navigateur pour acc&egrave;der &agrave; cette page.</p>
						</div>
					</div>
				</div>
			</div>
		</noscript>
        <script type="module" src="/assets/dsfr/dist/dsfr.module.min.js"></script>
        <script nomodule src="/assets/dsfr/dist/dsfr.nomodule.min.js"></script>
        <script src="/assets/jquery/jquery.min.js"></script>
        <script src="/assets/bootstrap/js/bootstrap.bundle.min.js"></script>
        <script type="text/javascript" src="{{ domain }}/resources/javascript/girnum.js{{ assets_cache_busting }}"></script>
		<script type="text/javascript" src="{{ domain }}/resources/javascript/main.js{{ assets_cache_busting }}"></script>
	</body>
</html>
